CQL Execution

- « CommonMark\CQL::__construct

- CommonMark Functions »

- PHP Manual
- CommonMark\CQL
- CQL Execution

# CommonMark\CQL::__invoke

(cmark >= 1.1.0)

CommonMark\CQL::__invoke — CQL Execution

### Description

public CommonMark\CQL::__invoke(CommonMark\Node `$root`, callable `$handler`)

Shall invoke the current CQL function on the given `root`, executing the given `handler` on entry to a CommonMark\Node

### Parameters

`root`

  the root node of a tree

`handler`

  should have the prototype:

  handler(CommonMark\Node `$root`, CommonMark\Node `$entering`): ?bool
  - Should `handler` fail to return (void), or return null, CQL will continue executing
  - Should the handler return a truthy value, CQL will continue executing.
  - Should the handler return a falsy value, CQL will stop executing